/*
 *  Copyright (C) 2007  Thadeu Lima de Souza Cascardo <cascardo@holoscopio.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */


#ifndef ATOMPUB_ENTRY_H
#define ATOMPUB_ENTRY_H

#include <sys/types.h>
#include <atompub/person.h>

typedef struct _atom_entry AtomEntry;

AtomEntry * atom_entry_new (char *, AtomPerson *);
AtomEntry * atom_entry_new_data_len (char *, size_t);
void atom_entry_delete (AtomEntry *);
char * atom_entry_id (AtomEntry *);
void atom_entry_id_set (AtomEntry *, char *);
char * atom_entry_title (AtomEntry *);
void atom_entry_title_set (AtomEntry *, char *);
AtomPerson * atom_entry_person (AtomEntry *);
void atom_entry_person_set (AtomEntry *, AtomPerson *);
char * atom_entry_summary (AtomEntry *);
void atom_entry_summary_set (AtomEntry *, char *);
void atom_entry_string (AtomEntry *, char **, size_t *);

#endif
